#pragma once
#include "lua.h"

// Max number of AI timers.
#define MAX_AI_TIMERS 2

typedef enum { TYPE_NULL, TYPE_INT, TYPE_PTR } TaskData;

// Basic task.
typedef struct Task {
  struct Task* next;
  char* name;
  
  TaskData dtype;
  union {
    void* target; // Vec2 etc.
    unsigned int ID; // Pilot ID etc.
  };
} Task;

// Ai profile.
typedef struct {
  char* name;
  lua_State* L;
} AI_Profile;

// Misc.
AI_Profile* ai_getProfile(char* name);

int ai_init(void);
void ai_exit(void);

